package arch;

public class MasSimMapImpl implements IMasSimMap {

	private String[][] map;
	private int size_x;
	private int size_y;
	
	public MasSimMapImpl(int size_x, int size_y) {
		this.size_x = size_x;
		this.size_y = size_y;
		map = new String[size_x][size_y];
	}
	
	@Override
	public String getMapField(int absX, int absY) {				
		if (map[absX][absY] == null) map[absX][absY] = "unknown";
		return map[absX][absY];
	}

	@Override
	public void setMapField(int absX, int absY, String field) {
		map[absX][absY] = field;
	}

	@Override
	public int getSizeX() {
		return size_x;
	}

	@Override
	public int getSizeY() {
		return size_y;
	}

}
