package jia;

import massim.agent.framework.AbstractAgent;
import jason.asSemantics.TransitionSystem;
import jason.asSemantics.Unifier;
import jason.asSyntax.NumberTerm;
import jason.asSyntax.StringTerm;
import jason.asSyntax.Term;

public class setPos extends AbstractMasSimInternalAction {
	@Override
	public Object execute(TransitionSystem ts, Unifier un, Term[] args)
			throws Exception {

		AbstractAgent agent = getAgent(ts);
		if ((agent == null) || (agent.getMap() == null))
		{
			System.out.println("the map was not initialized -> implement the map structures in the ExampleAgent if you need this --> failing");
			return false;
		}
		
		NumberTerm x = (NumberTerm)args[0];
		NumberTerm y = (NumberTerm)args[1];
		StringTerm type = (StringTerm)args[2];
		
		if (x.isGround() && y.isGround() && type.isGround()) {
			int x_val = new Double(x.solve()).intValue();
			int y_val = new Double(y.solve()).intValue();
			agent.getMap().setMapField(x_val, y_val, type.getString());
			return true;
		} else {
			return false;
		}
	}
}
