package jia;

import arch.MasSimACArchitecture;
import massim.agent.framework.AbstractAgent;
import jason.asSemantics.DefaultInternalAction;
import jason.asSemantics.TransitionSystem;

public abstract class AbstractMasSimInternalAction extends DefaultInternalAction {
	public AbstractAgent getAgent(TransitionSystem ts) throws IllegalArgumentException {
		if (ts.getUserAgArch() instanceof MasSimACArchitecture) {
			return ((MasSimACArchitecture)ts.getUserAgArch()).getMassimAgent();
		} else {
			throw new IllegalArgumentException("Illegal Architecture Class");
		}
	}
}
